<?php
//require '../conexao/conexao.php';
$path = '';
if (file_exists('../conexao/conexao.php')) {
    $path = '../conexao/conexao.php';
} elseif (file_exists('C:\xampp\htdocs\KPI\pages\conexao\conexao.php')) {
    $path = 'C:\xampp\htdocs\KPI\pages\conexao\conexao.php';
}
if ($path) {
    require $path;
} else {
    die("Arquivo de conexão não encontrado.");
}
class ConsultaProdutosFalta
{

    private $connectionmysql;
    private $connection;

    public function __construct()
    {
        global $connectionmysql;
        global $connection;
        $this->connectionmysql = $connectionmysql;
        $this->connection = $connection;
    }

 
    public function get_filiais_prime($cidade = null)
    {
        $query = "select
          EP.CODIGO as cdfil , EP.DESCRICAO  as DESCRFIL
        from EMPRESA EP
          inner join CIDADEESTADO CE on EP.CODIGO_CIDADEESTADO = CE.CODIGO
          inner join REGIAODETALHE RD on EP.CODIGO_REGIAODETALHE = RD.CODIGO
          where 1=1 
        order by
          EP.CODIGO";

        $stmt = ibase_prepare($this->connection, $query);
        $result = ibase_execute($stmt);

        if ($result === false) {
            file_put_contents('log.txt', 'Erro na execução: ' . ibase_errmsg() . PHP_EOL, FILE_APPEND);
        }

        $filiais = [];
        while ($row = ibase_fetch_assoc($result)) {
            $row['DESCRFIL'] = utf8_encode($row['DESCRFIL']);
            $filiais[] = $row;
        }
        return $filiais;
    }

    // Método para obter cidades das filiais
    public function getCidadesFiliais()
    {
        $query_cidade_filial = " select
        DISTINCT
        EP.codigo_cidadeestado ,
        CE.NOMECIDADE as MUNIC
        from EMPRESA EP
        INNER JOIN CADASTRO_ENDERECO CA ON CA.codigo_cadastro = EP.codigo
        inner join CIDADEESTADO CE on CA.codigo_cidadeestado = CE.CODIGO
        where CA.tipo_cadastro = 5
        order by EP.CODIGO";

        $result_cidade_filial = ibase_query($this->connection, $query_cidade_filial);

        if (!$result_cidade_filial) {
            die('Erro na consulta: ' . ibase_errmsg());
        }

        $cidadefiliais = [];
        while ($row = ibase_fetch_assoc($result_cidade_filial)) {
            $cidadefiliais[] = $row;
        }

        return $cidadefiliais;
    }

    // Método para obter ID da cidade
    public function getIdCidade($cidade)
    {
        $query_idcidade = "SELECT id_cidade FROM cidade WHERE nome_cidade = ?";
        $stmt = $this->connectionmysql->prepare($query_idcidade);
        $stmt->bind_param("s", $cidade);
        $stmt->execute();
        $result = $stmt->get_result();
        $row = $result->fetch_assoc();
        return $row ? $row["id_cidade"] : null;
    }

}
